<?php	
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ainfo_panel.php
| Author: Sveinung Skjerseth {Sveinungs}
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ainfo_panel/infusion_db.php";

add_to_head("<link rel='stylesheet' href='".INFUSIONS."ainfo_panel/includes/jquery.tabs.css' type='text/css' media='Screen' />");
add_to_head("<!--[if lte IE 7]><link rel='stylesheet' href='".INFUSIONS."ainfo_panel/includes/jquery.tabs-ie.css' type='text/css' media='print, projection, screen' /><![endif]-->");

$sdata = dbarray(dbquery("SELECT * FROM ".DB_AINFO_PANEL));

header("Content-type: text/html; charset=".$locale['charset']."");

if ($sdata['history_enabled']){
echo "<script src='".INFUSIONS."ainfo_panel/includes/jquery.history_remote.pack.js' type='text/javascript'></script>";
}
echo "<script src='".INFUSIONS."ainfo_panel/includes/jquery.tabs.pack.js' type='text/javascript'></script>";
echo "<script type='text/javascript'>";
if ($sdata['effects_enabled']){
?>$(function() {$('#container-1').tabs({ fxSlide: true, fxFade: true, fxSpeed: 'normal' });});<?php
} else {
?>$(function() {$('#container-1').tabs();});<?php
}
echo "</script>";

if (checkgroup($sdata['a_visibility']) || (checkgroup($sdata['b_visibility'])) || (checkgroup($sdata['c_visibility'])) || (checkgroup($sdata['d_visibility'])) || (checkgroup($sdata['e_visibility'])) || (checkgroup($sdata['f_visibility']))) {

echo "<table width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n<td>";        
echo "       
        <div id='container-1' style='margin:5px;'>
            <ul>";
                
                if (checkgroup($sdata['a_visibility']) && $sdata['a_content']) {
                echo "<li><a href='#fragment-1'><span>".$sdata['a_title']."</span></a></li>";
                }
                
                if (checkgroup($sdata['b_visibility'])  && $sdata['b_content']) {
                echo "<li><a href='#fragment-2'><span>".$sdata['b_title']."</span></a></li>";
                }
                
                if (checkgroup($sdata['c_visibility'])  && $sdata['c_content']) {
                echo "<li><a href='#fragment-3'><span>".$sdata['c_title']."</span></a></li>";
                }
                
                if (checkgroup($sdata['d_visibility'])  && $sdata['d_content']) {
                echo "<li><a href='#fragment-4'><span>".$sdata['d_title']."</span></a></li>";
                }
                
                if (checkgroup($sdata['e_visibility'])  && $sdata['e_content']) {
                echo "<li><a href='#fragment-5'><span>".$sdata['e_title']."</span></a></li>";
                }
                
                if (checkgroup($sdata['f_visibility'])  && $sdata['f_content']) {
                echo "<li><a href='#fragment-6'><span>".$sdata['f_title']."</span></a></li>";
                }
                
            echo "
            </ul>";
            if (checkgroup($sdata['a_visibility']) && $sdata['a_content'] !=="") { echo "
            <div id='fragment-1' class='main-body'>";
                echo nl2br(stripslashes($sdata['a_content']));
                echo "
            </div>";
            }
            
            if (checkgroup($sdata['b_visibility']) && $sdata['b_content'] !=="") { echo "
            <div id='fragment-2' class='main-body'>";
                echo nl2br(stripslashes($sdata['b_content']));
                echo "
            </div>";
            }
            
            if (checkgroup($sdata['c_visibility']) && $sdata['c_content'] !=="") { echo "
            <div id='fragment-3' class='main-body'>";
                echo nl2br(stripslashes($sdata['c_content']));
                echo "
            </div>";
            }
            
            if (checkgroup($sdata['d_visibility']) && $sdata['d_content'] !=="") { echo "
            <div id='fragment-4' class='main-body'>";
                echo nl2br(stripslashes($sdata['d_content']));
                echo "
            </div>";
            }
            
            if (checkgroup($sdata['e_visibility']) && $sdata['e_content'] !=="") { echo "
            <div id='fragment-5' class='main-body'>";
                echo nl2br(stripslashes($sdata['e_content']));
                echo "
            </div>";
            }
            
            if (checkgroup($sdata['f_visibility']) && $sdata['f_content'] !=="") { echo "
            <div id='fragment-6' class='main-body'>";
                echo nl2br(stripslashes($sdata['f_content']));
                echo "
            </div>";
            }
        
    echo "</div>";
            
echo "</td>\n</tr>\n</table>";
}
?>