<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Sveinung Skjerseth {sveinungs} 
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ainfo_panel/infusion_db.php";

if (file_exists(INFUSIONS."ainfo_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ainfo_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ainfo_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['ainfo_title'];
$inf_description = $locale['ainfo_desc'];
$inf_version = $locale['ainfo_version'];
$inf_developer = "Sveinung Skjerset";
$inf_email = "180372@gmail.com";
$inf_weburl = "http://yafs.net";

$inf_folder = "ainfo_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_AINFO_PANEL." (
a_title VARCHAR(100) NOT NULL DEFAULT '',
a_content TEXT NOT NULL,
a_visibility TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
b_title VARCHAR(100) NOT NULL DEFAULT '',
b_content TEXT NOT NULL,
b_visibility TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
c_title VARCHAR(100) NOT NULL DEFAULT '',
c_content TEXT NOT NULL,
c_visibility TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
d_title VARCHAR(100) NOT NULL DEFAULT '',
d_content TEXT NOT NULL,
d_visibility TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
e_title VARCHAR(100) NOT NULL DEFAULT '',
e_content TEXT NOT NULL,
e_visibility TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
f_title VARCHAR(100) NOT NULL DEFAULT '',
f_content TEXT NOT NULL,
f_visibility TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
tinymce_enabled TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
history_enabled TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
effects_enabled TINYINT(1) UNSIGNED NOT NULL DEFAULT '1'
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_AINFO_PANEL." (a_title, a_content, b_title, b_content, c_title, d_title, e_title, f_title) VALUES('".$locale['ainfo_1']."', '".$locale['ainfo_2']."', '".$locale['ainfo_3']."', '".$locale['ainfo_4']."', '".$locale['ainfo_03']."', '".$locale['ainfo_04']."', '".$locale['ainfo_05']."', '".$locale['ainfo_06']."')";

$inf_droptable[1] = DB_AINFO_PANEL;

$inf_adminpanel[1] = array(
	"title" => $locale['ainfo_admin1'],
	"image" => "ainfo_panel.gif",
	"panel" => "ainfo_admin.php",
	"rights" => "AINP"
);
?>